## langdrill 0.2.1-3

=== src/Makefile ===
###### Files & Directories
DESTDIR=
MY_DEBIAN_SYSTEM=

SRC = 	main.cc\
		config.cc
OBJ = 	main.o \
		config.o
TARGET=langdrill
TARGET_RC=langdrill.rc
TARGET_RC_LOCAL=.$(TARGET)
MAN_PAGE=../docs/langdrill.1

DRILL_DEF=default.drill
DRILL_SUP=romaji.drill

DEF_FLAGS=-DTARGET='"$(TARGET)"' \
	-DTARGET_RC='"$(TARGET_RC)"' \
	-DTARGET_RC_LOCAL='"$(TARGET_RC_LOCAL)"' \
	-DTARGET_RC_DIR='"$(TARGET_RC_DIR)"' \
	-DDRILL_DEF='"$(DRILL_DEF)"' \
	-DDRILL_DIR='"$(DRILL_DIR)"' 

###### Test for Debian GNU/Linux
# If your system is not Debian GNU/Linux please modify the values after
# "else" statement. Modifying the values before else is useless, unless
# you also set MY_DEBIAN_SYSTEM=1
ifeq ($(MY_DEBIAN_SYSTEM),1)
	MY_MESSAGE_OF_THE_DAY=">>" $(TARGET) compilled for Debian GNU/Linux system. "<<"
	DRILL_DIR=$(DESTDIR)/usr/share/vdk/langdrill
	BIN_DIR=$(DESTDIR)/usr/bin
	MAN_DIR=$(DESTDIR)/usr/share/man/man1
	TARGET_RC_DIR=$(DESTDIR)/etc
	CFLAGS =  `vdk-config --cflags` $(DEF_FLAGS)
else
	MY_MESSAGE_OF_THE_DAY=">>" $(TARGET) compilled for NON-Debian GNU/Linux system. "<<"
	DRILL_DIR=$(DESTDIR)/usr/local/share/vdk/langdrill
	BIN_DIR=$(DESTDIR)/usr/local/bin
	MAN_DIR=$(DESTDIR)/usr/local/man/man1
	TARGET_RC_DIR=$(DESTDIR)/usr/local/etc
	CFLAGS =  -g `vdk-config --cflags` $(DEF_FLAGS)
endif

CC = g++
LFLAGS = `vdk-config --libs` 


####### Implicit rules

.SUFFIXES: .cc

.cc.o: $(SRC)
	$(CC) $(CFLAGS) -c $*.cc -o $@

####### Build rules

all: $(TARGET)

tarclean:
	rm -f $(TARGET) core

clean:
	rm -f $(OBJ) 

distclean: clean
	rm -f $(TARGET) core *~

$(TARGET): tarclean $(OBJ)
	@echo $(MY_MESSAGE_OF_THE_DAY)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJ) $(LFLAGS)

run:	tarclean $(OBJ)
	@echo $(MY_MESSAGE_OF_THE_DAY)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJ) $(LFLAGS)
	./$(TARGET)

build: clean tarclean $(OBJ)
	@echo $(MY_MESSAGE_OF_THE_DAY)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJ) $(LFLAGS)

install: all
	install -d $(BIN_DIR) $(DRILL_DIR) $(MAN_DIR) $(TARGET_RC_DIR)
	install ./$(TARGET) $(BIN_DIR)
	install -m644 ./$(TARGET_RC_LOCAL) $(TARGET_RC_DIR)/$(TARGET_RC)
	install -m644 $(DRILL_DEF) $(DRILL_DIR)
	install -m644 $(MAN_PAGE) $(MAN_DIR)
	install -m644 $(DRILL_SUP) $(DRILL_DIR)

=== debian/changelog ===
langdrill (0.2.1-3) unstable; urgency=low

  * compiled with vdk 1.0.1 
  * moved to /usr/share/doc
  * set /etc/langdrill.rc as a conffile 

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Wed,  6 Oct 1999 00:16:20 +0900

langdrill (0.2.1-2) unstable; urgency=low

  * Recompiled with vdk 0.6.3.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Fri, 12 Mar 1999 19:45:00 +0900

langdrill (0.2.1-1) unstable; urgency=low

  * New upstream release (minor changes).
  * Recompiled with vdk 0.6.1.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Fri, 12 Mar 1999 19:45:00 +0900

langdrill (0.2.0-3) unstable; urgency=low

  * Corrected bug with Text widget.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Fri, 12 Mar 1999 19:45:00 +0900

langdrill (0.2.0-2) unstable; urgency=low

  * Updated the default.drill and the langdrill.rc files.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Fri, 12 Mar 1999 19:45:00 +0900

langdrill (0.2.0-1) unstable; urgency=low

  * Compiled with gtk 1.2 and vdk 0.6.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Fri, 12 Mar 1999 19:45:00 +0900

langdrill (0.2.0) unstable; urgency=low

  * New release. Some bugfixes. Added support for skkinput and kinput2.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Tue, 26 Jan 1999 19:45:00 +0900

langdrill (0.1.9) unstable; urgency=low

  * This is just to correct my own errors in working with my cvs.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Sun, 18 Jan 1999 06:35:26 +0900

langdrill (0.1.8) unstable; urgency=low

  * Improved timer page.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Sun, 18 Jan 1999 06:30:26 +0900
 

langdrill (0.1.7) unstable; urgency=low

  * Added timer page.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Sun, 17 Jan 1999 06:30:26 +0900

langdrill (0.1.6) unstable; urgency=low

  * New improved version of langdrill. Compiled with gtk 1.1.12 and unreleased VDK 0.5.0.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Fri, 8 Jan 1999 06:30:26 +0900

langdrill (0.1.5) unstable; urgency=low

  * Initial Release.

 -- Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>  Tue, 15 Dec 1998 14:55:00 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: langdrill
Section: text
Priority: optional
Maintainer: Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>
Standards-Version: 3.0.1.1

Package: langdrill
Architecture: any
Depends: ${shlibs:Depends}
Suggests: intlfonts-japanese, skkinput | kinput2 | kinput2-wnn | kinput2-canna
Description: Language Drills
 langdrill is a helper for testing your foreign language vocabulary.
 It uses GTK+ toolkit and VDK (a C++ wrapper arround VDK). langrill
 looks similar with JavaDrill (JavaDrill helped me cristalize the
 ideas on how langdrill should look like). Limited support for
 Japanese characters displaying is included. For this, Japanese
 fonts must be installed on your system.

## langdrill 0.2.1-6

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 ###### Files & Directories
 DESTDIR=
 MY_DEBIAN_SYSTEM=
+
 
 SRC = 	main.cc\
 		config.cc
@@ -19,7 +20,8 @@
 	-DTARGET_RC_LOCAL='"$(TARGET_RC_LOCAL)"' \
 	-DTARGET_RC_DIR='"$(TARGET_RC_DIR)"' \
 	-DDRILL_DEF='"$(DRILL_DEF)"' \
-	-DDRILL_DIR='"$(DRILL_DIR)"' 
+	-DDRILL_DIR='"$(DRILL_DIR)"' \
+	-I /usr/include/gnome-1.0/
 
 ###### Test for Debian GNU/Linux
 # If your system is not Debian GNU/Linux please modify the values after

=== debian/changelog ===
langdrill (0.2.1-6) unstable; urgency=low

  * QA upload.
  * Change 'include' to '#include' in default /etc/langdrill.rc
    (closes: #129919).

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Apr 2002 01:10:48 +0100

langdrill (0.2.1-5) unstable; urgency=low

  * Set maintainer address to QA group.
  * fix spelling error in description (closes: #124858)
  * fix typos in default.drill, pathch thanks to
    Christian Ohm <chr.ohm@gmx.net> (closes: #129921)
  * fix build on current gnome-dev

 -- David Kimdon <dwhedon@debian.org>  Mon,  4 Feb 2002 01:25:06 -0800

langdrill (0.2.1-4) unstable; urgency=low

  * NMU
  * Simple recompile to fix bug #93081
  * Minor lintian fixes

 -- David Starner <dstarner98@aasaa.ofe.org>  Fri, 24 Aug 2001 21:05:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: langdrill
 Section: text
 Priority: optional
-Maintainer: Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp>
-Standards-Version: 3.0.1.1
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper, libvdk1-dev, libgnome-dev
+Standards-Version: 3.5.6
 
 Package: langdrill
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: intlfonts-japanese, skkinput | kinput2 | kinput2-wnn | kinput2-canna
+Suggests: xfonts-intl-japanese, skkinput | kinput2 | kinput2-wnn | kinput2-canna
 Description: Language Drills
  langdrill is a helper for testing your foreign language vocabulary.
  It uses GTK+ toolkit and VDK (a C++ wrapper arround VDK). langrill

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) MY_DEBIAN_SYSTEM=1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

distclean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp MY_DEBIAN_SYSTEM=1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## langdrill 0.3

=== Makefile ===
############################
# Language Drills
# version 0.1.7
# Author: Ionutz Borcoman
# <borco@usa.net>, <borco@borco-ei.eng.hokudai.ac.jp>
############################

all:
	cd src && $(MAKE) all

tarclean:
	cd src && $(MAKE) tarclean

clean:
	cd src && $(MAKE) clean

distclean:
	cd src && $(MAKE) distclean

build:
	cd src && $(MAKE) build

install:
	cd src && $(MAKE) install

=== src/Makefile ===
###### Files & Directories
DESTDIR=
MY_DEBIAN_SYSTEM=


SRC = 	main.cc\
		config.cc
OBJ = 	main.o \
		config.o
TARGET = langdrill
MAN_PAGE = ../docs/langdrill.1

DRILL_DEF = default.drill
DRILL_SUP = romaji.drill french.drill

DEF_FLAGS = -DTARGET='"$(TARGET)"' \
	-DDRILL_DEF='"$(DRILL_DEF)"' \
	-DDRILL_DIR='"$(DRILL_DIR)"' \
	-I /usr/include/gtk-2.0/

###### Test for Debian GNU/Linux
# If your system is not Debian GNU/Linux please modify the values after
# "else" statement. Modifying the values before else is useless, unless
# you also set MY_DEBIAN_SYSTEM=1
ifeq ($(MY_DEBIAN_SYSTEM),1)
	MY_MESSAGE_OF_THE_DAY=">>" $(TARGET) compilled for Debian GNU/Linux system. "<<"
	DRILL_DIR=$(DESTDIR)/usr/share/langdrill
	BIN_DIR=$(DESTDIR)/usr/bin
	MAN_DIR=$(DESTDIR)/usr/share/man/man1
	CFLAGS = -Wall `vdk-config-2 --cflags` $(DEF_FLAGS)
else
	MY_MESSAGE_OF_THE_DAY=">>" $(TARGET) compilled for NON-Debian GNU/Linux system. "<<"
	DRILL_DIR=$(DESTDIR)/usr/local/share/langdrill
	BIN_DIR=$(DESTDIR)/usr/local/bin
	MAN_DIR=$(DESTDIR)/usr/local/man/man1
	CFLAGS = -Wall -g `vdk-config-2 --cflags` $(DEF_FLAGS)
endif

CC = g++
LFLAGS = `vdk-config-2 --libs` 


####### Implicit rules

.SUFFIXES: .cc

.cc.o: $(SRC)
	$(CC) $(CFLAGS) -c $*.cc -o $@

####### Build rules

all: $(TARGET)

tarclean:
	rm -f $(TARGET) core

clean:
	rm -f $(OBJ) 

distclean: clean
	rm -f $(TARGET) core *~

$(TARGET): tarclean $(OBJ)
	@echo $(MY_MESSAGE_OF_THE_DAY)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJ) $(LFLAGS)

run:	tarclean $(OBJ)
	@echo $(MY_MESSAGE_OF_THE_DAY)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJ) $(LFLAGS)
	./$(TARGET)

build: clean tarclean $(OBJ)
	@echo $(MY_MESSAGE_OF_THE_DAY)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJ) $(LFLAGS)

install: all
	install -d $(BIN_DIR) $(DRILL_DIR) $(MAN_DIR)
	install ./$(TARGET) $(BIN_DIR)
	install -m644 $(DRILL_DEF) $(DRILL_DIR)
	install -m644 $(MAN_PAGE) $(MAN_DIR)
	install -m644 $(DRILL_SUP) $(DRILL_DIR)

=== debian/changelog ===
langdrill (0.3-8) unstable; urgency=medium

  * Team upload.
  * Drop unnecessary build-dependency libgnomeui-dev. (Closes: #885761)
  * Switch to compat level 11.
  * wrap-and-sort -sa.
  * Drop obsolete menu file. (Closes: #726809)
  * Use canonical VCS address.
  * Declare compliance with Debian Policy 4.1.3.
  * Switch to source format 3.0 (quilt).
  * Simplify debian/rules by using dh sequencer.
  * Remove dirs file.
  * Add enable-debug-symbols.patch and build with debug symbols.
  * Link only against needed libraries.

 -- Markus Koschany <apo@debian.org>  Fri, 19 Jan 2018 09:51:28 +0100

langdrill (0.3-7) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/menu:
    + Set section to Applications/Education instead of Games/Puzzles
  * debian/control:
    + Change section to text instead of games
    + Depend on debhelper (>= 5.0)
  * debian/rules:
    + Don't ignore `make clean' errors

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Acknowledge NMUs.
  * Add empty watch file to make lintian happy.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 18 Mar 2009 16:22:06 -0400

langdrill (0.3-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch 010_min_max.diff fixing build with GCC 4.2 (closes: #385521).

 -- Mark Brown <broonie@debian.org>  Sun, 02 Sep 2007 11:58:22 +0100

langdrill (0.3-6) unstable; urgency=low

  * Moved packaging to the Debian Games Team.
  * Use quilt for patch management.
  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt.
    + Set section to games instead of gnome.

  * debian/patches/000_pkg_config.diff:
    + New patch courtesy of Matt Kraai -- use pkg-config to find the cairo.h
      include path (Closes: #355991).

  * debian/patches/010_cxx_standard.diff:
    + New patch from old diff.gz -- compilation fix for newer g++.

  * debian/patches/010_vdk_updates.diff:
    + New patch from old diff.gz -- compilation fix for newer VDK versions.

  * debian/patches/020_documentation.diff:
    + New patch from old diff.gz -- minor documentation fixes.

  * debian/patches/030_french_utf8.diff:
    + New patch from old diff.gz -- convert the French drill to UTF-8.

  * debian/patches/030_japanese.diff:
    + New patch from old diff.gz -- Japanese improvements.

  * debian/patches/030_swedish.diff:
    + New patch from old diff.gz -- user-contributed Swedish drill.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 17 May 2006 01:33:21 +0200

langdrill (0.3-5) unstable; urgency=low

  * Rebuild for the C++ transition.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Build-depend on libvdk2-dev (>= 2.4.0-3).
    + Fixed grammar in the long description.
  * debian/rules:
    + Use dh_installman instead of dh_installmanpages.
  * debian/copyright:
    + Fixed old FSF address.
    + Added proper copyright holders.
  * src/main.hh src/config.cc src/config.hh:
    + Fixed use of deprecated C++ headers.
  * src/main.cc:
    + Fixed event handling in the simple quizz panel (Closes: #310765).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 31 Oct 2005 23:50:59 +0100

langdrill (0.3-4) unstable; urgency=low

  * Rebuilt with most recent VDK2.
  * Converted all drill files to UTF-8.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 21 Oct 2004 15:51:36 +0200

langdrill (0.3-3) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
  * src/main.cc:
    + Ported langdrill to the newest vdk2 API (Closes: #264701).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Aug 2004 20:35:11 +0200

langdrill (0.3-2) unstable; urgency=low

  * debian/control:
    + Fixed the long description: Japanese support is no longer minor.
    + Set policy to 3.6.1.0.
  * src/*.drill:
    + User-contributed Swedish drill.
    + Minor fixes to the Japanese drill.
  * README:
    + Updated the homepage address (Closes: #245857).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  1 Jun 2004 21:21:27 -0300

langdrill (0.3-1) unstable; urgency=low

  * No longer a native Debian package. I'm fed up with full source uploads
    when only minor changes are done to the package.
  * Rebuilt with libvdk2 2.0.3-3.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Aug 2003 15:50:38 +0200

langdrill (0.2.1-11) unstable; urgency=low

  * Rebuilt against libvdk2-2 so that numentries work again.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Updated libvdk2-dev build-dependency to (>= 2.0.3-2).
    + Updated debhelper build-dependency to (>= 4.0) because of debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 29 Jul 2003 15:24:27 +0200

langdrill (0.2.1-10) unstable; urgency=low

  * debian/control:
    + Changed the libgnome2-dev build dependency to libgnomeui-dev (>= 2.0) so
      that we can use the Gtk headers as well.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 15 Jun 2003 15:27:28 +0200

langdrill (0.2.1-9) unstable; urgency=low

  * debian/control:
    + Set policy to 3.5.10.
    + Set section to gnome.
  * debian/copyright:
    + Added the "On Debian systems, the GPL is in ..." blurb.
  * Removed debian/postinst, debian/postrm and debian/prerm because debhelper
    kindly does all the hard job for us.
  * Changes to the appearance:
    + Ported to GTK 2 and VDK 2.
    + Converted internal strings to UTF-8 so that weird locale settings are no
      longer needed to display Japanese since Pango properly handles UTF-8 for
      us. This will allow new languages to be easily added (Closes: #167204).
    + Swapped the word list and the lesson list.
  * Changes to the data path handling:
    + Changed data dir from /usr/share/vdk/langdrill to /usr/share/langdrill.
    + The load dialog directly starts in /usr/share/langdrill.
    + Do not change the working directory.
  * Fixed the spelling for "quizzes".


=== debian/control ===
Source: langdrill
Section: text
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 11),
 libvdk2-dev (>= 2.4.0-3)
Standards-Version: 4.1.3
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/langdrill/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/langdrill/

Package: langdrill
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 xfonts-intl-japanese
Suggests:
 skkinput | kinput2 | kinput2-wnn | kinput2-canna
Description: language drills to test vocabulary
 langdrill is a helper for testing your foreign language vocabulary.
 It uses GTK+ toolkit and VDK (a C++ wrapper around GTK+). langdrill
 looks similar to JavaDrill.
 .
 Support for displaying Japanese characters is included. For this, Japanese
 fonts must be installed on your system, for instance the xfonts-intl-japanese
 package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- MY_DEBIAN_SYSTEM=1

override_dh_auto_install:
	dh_auto_install -- MY_DEBIAN_SYSTEM=1

=== debian/watch ===
#langdrill is no longer maintained upstream and is now maintained by Sam Hocevar.

## langdrill 0.3+ds

=== debian/changelog ===
langdrill (0.3+ds-1) unstable; urgency=medium

  * Team Upload.
  * Remove src/langdrill pre-compiled bin in new ds.
  * debian/patches/cross.patch:
    + Fix makefile for cross-support
    + Update cross patch to get cflags and libs in vdk via pkg-config
  * d/control:
    + Run cme to fixup format.
    + S-V bumped to 4.6.2
    + Tighten B-D on libvdk2
    + Drop Sam Hocevar from Uploaders (retired from the project).
      Thanks for your work so far.
    + Add "Rules-Requires-Root: no"
  * Drop d/compat, switch to debhelper-compat 13

 -- Nilesh Patra <nilesh@debian.org>  Thu, 22 Jun 2023 23:02:20 +0530

=== debian/control ===
Source: langdrill
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libvdk2-dev (>= 2.4.0-5.7~)
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: langdrill
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: xfonts-intl-japanese
Suggests: skkinput | kinput2 | kinput2-wnn | kinput2-canna
Description: language drills to test vocabulary
 langdrill is a helper for testing your foreign language vocabulary.
 It uses GTK+ toolkit and VDK (a C++ wrapper around GTK+). langdrill
 looks similar to JavaDrill.
 .
 Support for displaying Japanese characters is included. For this, Japanese
 fonts must be installed on your system, for instance the xfonts-intl-japanese
 package.
